package inf101.v18.rogue101.items;

import inf101.v18.rogue101.objects.IItem;

public interface IBuffItem extends IItem {
    /**
     * Retrieve damage increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    default int getBuffDamage() {
        return 0;
    }

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    default int getBuffDefence() {
        return 0;
    }

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    default int getBuffDamageReduction() {
        return 0;
    }

    /**
     * Retrieve visibility increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    default int getBuffVisibility() {
        return 0;
    }
}
